Bug 242805 - 'pccardctl ident' SEGV
Summary: 'pccardctl ident' SEGV
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: pcmciautils   
(Show other bugs)
Version: 7
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Harald Hoyer
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-06-05 21:13 UTC by David Woodhouse
Modified: 2007-11-30 22:12 UTC (History)
0 users

Fixed In Version: 014-9.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-06-27 03:53:45 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
fix (1.17 KB, patch)
2007-06-05 21:21 UTC, David Woodhouse
no flags Details | Diff

Description David Woodhouse 2007-06-05 21:13:31 UTC
Starting program:
/home/dwmw2/working/extras/pcmciautils/devel/pcmciautils-014/pccardctl ident
Socket 0:
  product info: "TDK", "Bluetooth PC Card", "", ""
  manfid: 0x0105, 0x4254

Program received signal SIGSEGV, Segmentation fault.
0x0fea6cf4 in strlen () from /lib/libc.so.6
(gdb) bt
#0  0x0fea6cf4 in strlen () from /lib/libc.so.6
#1  0x0fe6f9d4 in vfprintf@@GLIBC_2.4 () from /lib/libc.so.6
#2  0x0ff26a08 in __printf_chk@@GLIBC_2.4 () from /lib/libc.so.6
#3  0x10001640 in pccardctl_ident (socket_no=0) at src/pccardctl.c:253
#4  0x10002114 in main (argc=2, argv=0x7fa6a624) at src/pccardctl.c:714
(gdb)

Comment 1 David Woodhouse 2007-06-05 21:21:39 UTC
Created attachment 156280 [details]
fix

The func_id is 0xfe.

Comment 2 Harald Hoyer 2007-06-06 11:02:01 UTC
Did you send that patch upstream? Do we need an F-7 update?

Comment 3 David Woodhouse 2007-06-06 12:37:50 UTC
no, yes

Comment 4 Fedora Update System 2007-06-21 20:01:48 UTC
pcmciautils-014-9.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.

Comment 5 Fedora Update System 2007-06-27 03:53:39 UTC
pcmciautils-014-9.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.